import React from "react";
import { getConfig } from "./template.control.utilities";
import { classNames } from "@microsoft/fast-web-utilities";
/**
 * Control template definition
 */
function BareControlTemplate(props) {
    const ref = React.createRef();
    let cache = undefined;
    function setCache(updatedCache) {
        cache = updatedCache;
    }
    const aggregateProps = Object.assign(Object.assign({}, props), { ref,
        cache,
        setCache });
    return (React.createElement("div", { className: classNames("dtc-bare-control-template", [
            "dtc-bare-control-template__disabled",
            props.disabled,
        ]) }, props.control(getConfig(aggregateProps))));
}
export { BareControlTemplate };
export default BareControlTemplate;
