import { Data, DataDictionary, MessageSystemIncoming, NavigationConfigDictionary } from "design-to-code";
import { XOR } from "design-to-code/dist/dts/data-utilities/type.utilities";
import { HoveredItem, HoverLocation, LinkedDataLocationConfig, NavigationState } from "./navigation.props";
import { DragDropItemType } from "./navigation-tree-item.props";
export declare function isActiveItem(activeDictionaryId: string, dictionaryId: string, activeNavigationConfigId: string, navigationConfigId: string): boolean;
export declare function getDraggableItemClassName(isCollapsible: boolean, isDraggable: boolean, isDroppable: boolean, dictionaryId: string, navigationConfigId: string, hoveredItem: any, activeDictionaryId: string, activeNavigationConfigId: string, defaultLinkedDataDroppableDataLocation: string, navigationItem: string, navigationItemExpandable: string, navigationItemActive: string, navigationItemDraggable: string, navigationItemDroppable: string, navigationItemHover: string, navigationItemHoverAfter: string, navigationItemHoverBefore: string): string;
export declare function getDragStartState(dictionaryId: string, index: number, dataDictionary: DataDictionary<unknown>, navigationDictionary: NavigationConfigDictionary): Pick<NavigationState, "linkedData" | "linkedDataLocation">;
export declare function getDragStartMessage(dictionaryId: string, navigationId: string, navigationDictionary: NavigationConfigDictionary): MessageSystemIncoming;
export declare function getDragEndMessage(navigationId: string, hoveredItem: HoveredItem, linkedData: Data<unknown>[], linkedDataLocation: LinkedDataLocationConfig, defaultLinkedDataDroppableDataLocation: XOR<string, undefined>): MessageSystemIncoming;
export declare function getDragHoverState(dictionaryId: string, navigationConfigId: string, type: DragDropItemType, location: HoverLocation, index: number, hoveredItem: HoveredItem, navigationDictionary: NavigationConfigDictionary, defaultLinkedDataDroppableDataLocation: XOR<string, undefined>): Pick<NavigationState, "hoveredItem" | "linkedDataLocation">;
